Package org.gradle.platform.base

## Interface TypeBuilder<T>

- Type Parameters:
    `T` - The registered type.

      @Incubating
      public interface TypeBuilder<T>

  A TypeBuilder to configure the registration of a type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypeBuilder<T>` | `defaultImplementation​(Class<?> implementation)` | Allows the plugin to register the implementation type.
    `TypeBuilder<T>` | `internalView​(Class<?> internalView)` | Allows type registration rules to add internal views to the registered type.

- - ### Method Detail

    - #### defaultImplementation

          TypeBuilder<T> defaultImplementation​(Class<?> implementation)

      Allows the plugin to register the implementation type.
      Parameters:
        `implementation` - the implementation class.

    - #### internalView

          TypeBuilder<T> internalView​(Class<?> internalView)

      Allows type registration rules to add internal views to the registered type.
      Parameters:
        `internalView` - the internal view class